class SpecialTokens:
    """
    SpecialTokens stores default token strings for various purposes. The class provides both word-level and
    character-level special tokens. This class is rather used internally.

    Attributes
    ----------
    START_TOKEN : str
        Marks the beginning of a sentence.
    END_TOKEN : str
        Marks the end of a sentence.
    PAD_TOKEN : str
        Used for padding sequences to a consistent length.
    CHAR_START_TOKEN : str
        Marks the beginning of a character sequence.
    CHAR_END_TOKEN : str
        Marks the end of a character sequence.
    CHAR_PAD_TOKEN : str
        Used for padding character sequences to a consistent length.
    CHAR_UNKNOWN_TOKEN : str
        Represents out-of-vocabulary character.
    """
    START_TOKEN = "[START]"
    END_TOKEN = "[END]"
    PAD_TOKEN = "[PAD]"

    CHAR_START_TOKEN = "<b>"
    CHAR_END_TOKEN = "<e>"
    CHAR_PAD_TOKEN = "<PAD>"
    CHAR_UNKNOWN_TOKEN = "<unknown>"
